# Rally Rush: godot::MenuUI Class Reference

Loading...
Searching...
No Matches
godot::MenuUI Class Reference

The main menu UI parent. More...

`#include <menu_ui.hpp>`

Inheritance diagram for godot::MenuUI:

## Public Member Functions

virtual void | _ready () override
| Register listeners with UI action observers. Get the controls panel child and hide it.
void | start_game ()
| Load the game scene. Listener for start button "button_down" observer.
void | toggle_controls ()
| Show the controls screen. Listener for controls button "button_down" observer.
void | set_game_scene (Ref< PackedScene > scene)
| The scene to load when the start button is pressed.
Ref< PackedScene > | get_game_scene () const
| The scene to load when the start button is pressed.

## Private Member Functions

| GDCLASS (MenuUI, CanvasLayer)

## Static Private Member Functions

static void | _bind_methods ()

## Private Attributes

Control * | controls {nullptr}
Ref< PackedScene > | game_scene {}

## Detailed Description

The main menu UI parent.

## Member Function Documentation

## _bind_methods()

void godot::MenuUI::_bind_methods | ( |  | ) |

staticprivate

## _ready()

void godot::MenuUI::_ready | ( |  | ) |

overridevirtual

Register listeners with UI action observers. Get the controls panel child and hide it.

## GDCLASS()

godot::MenuUI::GDCLASS | ( | MenuUI | ,
|  | CanvasLayer |
| ) |  |

private

## get_game_scene()

Ref< PackedScene > godot::MenuUI::get_game_scene | ( |  | ) | const

The scene to load when the start button is pressed.

## set_game_scene()

void godot::MenuUI::set_game_scene | ( | Ref< PackedScene > | scene | ) |

The scene to load when the start button is pressed.

## start_game()

void godot::MenuUI::start_game | ( |  | ) |

Load the game scene. Listener for start button "button_down" observer.

## toggle_controls()

void godot::MenuUI::toggle_controls | ( |  | ) |

Show the controls screen. Listener for controls button "button_down" observer.

## Member Data Documentation

## controls

Control* godot::MenuUI::controls {nullptr}

private

## game_scene

Ref<PackedScene> godot::MenuUI::game_scene {}

private

The documentation for this class was generated from the following files:

- src/menu_ui.hpp
- src/menu_ui.cpp